apiVersion: apps/v1
kind: Deployment
metadata:
  name: comment-micro
  namespace: production
spec:
  replicas: 1
  selector:
    matchLabels:
      app: comment-micro
  template:
    metadata:
      labels:
        app: comment-micro
    spec:
      imagePullSecrets:
        - name: dockerhubpull
      containers:
        - name: service
          image: prankster08/comment-image:pipeline-571bb307
          ports:
            - containerPort: 3005
          env:
            - name: JWT_SECRET
              valueFrom:
                secretKeyRef:
                  name: jwt-secret
                  key: jwt-secret
            - name: API_GATEWAY
              valueFrom:
                configMapKeyRef:
                  name: config-map
                  key: apiGateway
---
apiVersion: v1
kind: Service
metadata:
  name: comment-micro
  namespace: production
spec:
  selector:
    app: comment-micro
  ports:
    - port: 3005
      targetPort: 3005
